Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006109TestLinkAPI - XMLRPCpublic2013-12-19 21:112014-04-25 17:39
Reporterlczub 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006109: createTestCaseSteps with action 'update' does not change existing steps
Descriptioncalling xml-rpc api method createTestCaseSteps with action 'update' only creates new steps.
Changes for existing steps are skipped.
Steps To Reproduce1. create project 'P-A' with test suite 'TS-A' and test case 'TC-A', including
   seven steps

2. call xml-rpc api method createTestCaseSteps with
   - action = 'update'
   - steps: [{'step_number' : 3, ....}, <- update of existing step 3
              {'step_number' : 8, ....}] <- new additional step 8

3. response includes information, that changes of step 3 are 'skipped' !

  {'tcversion_id': '4868', 'feedback':
   [{'step_number': 3, 'operation': 'skip'}, {'step_number': 8, 'operation': 'create'}],
   'stepSet': {'1': {'step_number': '1', 'actions': 'Step action 1', 'execution_type': '2', 'active': '1', 'id': '4874', 'expected_results': 'Step result 1'},
               '3': {'step_number': '3', 'actions': 'Step action 3', 'execution_type': '2', 'active': '1', 'id': '4876', 'expected_results': 'Step result 3'},
               '2': {'step_number': '2', 'actions': 'Step action 2', 'execution_type': '2', 'active': '1', 'id': '4875', 'expected_results': 'Step result 2'},
               '5': {'step_number': '5', 'actions': 'Step action 5 -b changed by updateTestCase', 'execution_type': '2', 'active': '1', 'id': '4878', 'expected_results': 'Step result 5 - b changed'},
               '4': {'step_number': '4', 'actions': 'Step action 4', 'execution_type': '2', 'active': '1', 'id': '4877', 'expected_results': 'Step result 4'},
               '7': {'step_number': '7', 'actions': 'action 7 createTestCaseSteps.create', 'execution_type': '2', 'active': '1', 'id': '4880', 'expected_results': 'create - cause step 7 not yet exist'},
               '6': {'step_number': '6', 'actions': 'Step action 6 -b added by updateTestCase', 'execution_type': '2', 'active': '1', 'id': '4879', 'expected_results': 'Step result 6 - b added'}},
   'stepNumberIDSet': {'1': '4874', '3': '4876', '2': '4875', '5': '4878', '4': '4877', '7': '4880', '6': '4879'},
   'testcaseid': '4867', 'item': '', 'version': 'exists', 'stepID': [['4876', 3]]}

4. open TestLink -> project 'P-A' -> Test Specification -> Test Case 'TC-A'
   test case includes only additional new step 8, changes for step 3 does not exist
TagsNo tags attached.
Database (MySQL,Postgres,etc)postgres 9.2
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006108closedfman createTestCaseSteps creates steps without test case references 
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020233)
fman (administrator)
2013-12-20 09:46

https://gitorious.org/testlink-ga/testlink-code/commit/0aacfc9180dab898f5d7e93b9f82ee75a4b1a64a [^]
(0020867)
fman (administrator)
2014-04-25 17:39

1.9.10 released

- Issue History
Date Modified Username Field Change
2013-12-19 21:11 lczub New Issue
2013-12-20 09:46 fman Note Added: 0020233
2013-12-20 09:46 fman Assigned To => fman
2013-12-20 09:46 fman Status new => assigned
2013-12-20 09:46 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-12-20 09:46 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2013-12-20 09:47 fman Relationship added related to 0006108
2013-12-20 09:47 fman Relationship added child of 0006048
2013-12-20 09:47 fman Status assigned => resolved
2013-12-20 09:47 fman Resolution open => fixed
2014-04-25 17:39 fman Note Added: 0020867
2014-04-25 17:39 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker